import { CONDICIONES_EN } from './condiciones/condiciones.en';
import { NORMAS_EN } from './normas/normas.en';
import { PRIVACIDAD_EN } from './privacidad/privacidad.en';

export const TRANSLATIONS_EN: { [key: string]: string } = {
  menu_inicio: 'Home',
  menu_apartamento: 'Apartment',
  menu_experiencias: 'Experiencies',
  menu_experiencias_restaurantes: 'Restaurants',
  menu_experiencias_lugares: 'Places',
  menu_experiencias_eventos: 'Events',
  menu_entorno: 'Environment',
  menu_informacion: 'Info',
  menu_informacion_servicios: 'Services',
  menu_informacion_normas: 'Rules',
  menu_informacion_condiciones: 'Conditions',
  menu_blog: 'Blog',
  menu_contacto: 'Contact',
  menu_reservar: 'Booking',

  auth_login: 'Login',
  auth_registro: 'Signup',
  auth_registrate: 'Signup',
  auth_nombre: 'Name',
  auth_apellidos: 'Surname',
  auth_email: 'Email',
  auth_password: 'Password',
  auth_phone: 'Phone',
  auth_repeat_password: 'Repeat Password',
  auth_no_cuenta: "Don't have an account?",
  auth_alert_password: 'We will never share your email with anyone else',

  toastr_error: 'ERROR',
  toastr_login_error: 'Wrong email or password',
  toastr_signup_succes: 'you have successfully registered',
  toastr_signup_error: 'This email is already registered',
  toastr_update_succes: 'Your personal information has been updated',
  toastr_update_error: 'There is no registered user',
  toastr_avatar_succes: 'Your profile picture has been updated',
  toastr_avatar_error: 'Failed to update your profile picture',
  toastr_feedback_succes: 'Your comment has been recorded',
  toastr_feedback_error: 'Your comment has not been recorded',
  toastr_book_succes: 'Your booking request has been created',
  toastr_book_error: 'No ha sido posible crear tu reserva',
  toastr_book_overlap: 'It was not possible to create your reservation',

  btn_entrar: 'Login',
  btn_reservar: 'Book',
  btn_login: 'Login',
  btn_signup: 'Signup',
  btn_registrar: 'Register',
  btn_modificar: 'Modify',
  btn_enviar: 'Send',

  client_data: 'My data',
  client_books: 'My books',
  client_feedback: 'Feedback',
  client_logout: 'Logout',
  client_personal_data: 'My personal data',
  client_feedback_msg_1: 'Your opinion is very valuable to us.',
  client_feedback_msg_2: 'Send us your comment.',
  client_language: 'Language',
  client_language_es: 'Spanish',
  client_language_en: 'English',

  book_since: 'Arrival',
  book_until: 'Leave',
  book_since_date: 'Arrival date',
  book_until_date: 'Leave date',
  book_adults: 'Adults',
  book_children: 'Children',
  book_observations: 'Observations',
  book_processing: 'In process',
  book_acepted: 'Aproved',
  book_denied: 'Rejected',
  book_current: 'Current',
  book_no_books: 'you have no books',

  footer_text_1:
    'The warmth and comfort of our apartment<br/>will make your stay more than just a stay,<br/>you will feel as good as in your own home.',
  footer_follow_us: 'Follow us',

  location: 'Location',
  comentarios: 'Customer opinions',

  normas: NORMAS_EN,
  condiciones: CONDICIONES_EN,

  servicios_text_1:
    'We strive to offer all the comforts in our apartment, because we want you to feel at home to enjoy all that our territory has to offer soaking in its history, culture and nature.',
  servicios_wifi_title: 'Wifi',
  servicios_wifi_text:
    'You will be able to enjoy WiFi connection in our apartment, it is free for all our clients.',
  servicios_cocina_title: 'Kitchen',
  servicios_cocina_text:
    'Fully equipped with everything you need. It has: cookware, crockery, coffee maker, kitchen utensils, dishwasher, microwave, oven and cleaning material.',
  servicios_bano_title: 'Bathroom',
  servicios_bano_text:
    'Fully equipped with everything you need. Among other things: towels, soap, shampoo and shower gel and hair dryer.',
  servicios_calef_title: 'Heating',
  servicios_calef_text:
    'Our apartment has heating so that you can enjoy a pleasant stay in winter days.',
  servicios_bebe_title: 'Babies',
  servicios_bebe_text:
    'We have cribs, high chairs and games at your disposal. No extra cost if you inform us when you make your reservation.',
  servicios_parkin_title: 'Parking',
  servicios_parkin_text:
    'The parking lot in the historic center is payable except on weekends and holidays, but free parking is available 100 meters away.',

  inicio_welcome: 'Welcome to the city of Calatayud',
  inicio_text:
    'Cradle of 5 cultures, as we have a Celtiberian city (Valdeherrera) at 9 kilometers, a Roman city (Bílbilis) at 6 kilometers, five defensive castles from the Roman period that together with its wall make it the oldest Arab defensive complex of the entire peninsula (VIII century), the Jewish quarter that became one of the largest in Aragon, and of course, three monuments that are World Heritage Sites (the tower, apse and cloister of the Collegiate Church of Santa Maria). Francisco de Goya painted the pendentives in the church of San Juan el Real and Ferdinand the Catholic was named heir in the church of San Pedro de los Francos. After all this tour, I recommend that you take some tapas in any of our bars, leaving room for lunch, where you can taste in our restaurants, the typical dish of the city, chickpeas with conger eel. And if you want to relax afterwards, I recommend you to visit the natural park of the Monasterio de Piedra, an oasis near this city, or try any of the spas located in the surroundings of the city. Calatayud is culture, tradition, nature and gastronomy. <strong><em>Are you up for it?</em></strong>',

  apartamento_text_1:
    'Enjoy a charming apartment in the heart of Calatayud, in an ideal location to enjoy with your family.',
  apartamento_text_2:
    'Apartment located in the center of Calatayud, approximately 5 minutes walk from the most important buildings. The apartment is on the second floor of the building without elevator, has about 80 square meters approximately. With wooden floor and heating. The main bedroom is furnished with a double bed and a built-in closet. The second bedroom is equipped with a single bed that can be made into a double bed. The living area consists of a living-dining room with two balconies overlooking the street that bring natural light to the apartment. In addition to a fully equipped bathroom and kitchen. It has Wifi for the whole apartment.',

  restaurantes_header: 'Restaurants',
  restaurantes_text:
    'The gastronomic culture of Calatayud is well known for two classic references: the "ternasco a la bilbilitana" and the "garbanzos con congrio" (chickpeas with conger eel). Dishes that can be tasted accompanied by its wines of the Designation of Origin of Calatayud, in its different types of restaurants. You can also choose from a wide variety of bars with tapas and a variety of portions to take sitting on their terraces.',
  restaurante_1_text:
    'Restaurant located in the heart of the old town of Calatayud, based on traditional market cuisine with a modern personal touch.',
  restaurante_2_text:
    'Traditional food restaurant in the historic center of Calatayud. The meal consists of a menu with three starters and a main dish to choose from. Specialty in rice dishes.',
  restaurante_3_text:
    'Restaurant in the center of Calatayud, which offers from cold starters and vegetable portions, to grilled meats and fish and not forgetting its delicious homemade desserts.',
  restaurante_4_text:
    'They have menu and menu of the day. Seasonal products of the area. Homemade recipes and traditional dishes of Aragonese cuisine, as well as homemade desserts. Generous portions and very good value for money.',

  lugares_header: 'Places',
  lugares_text:
    'Calatayud, a monumental city that fuses between its streets a compendium of cultures, styles and traditions. It has been declared a Historic and Monumental Site since 1967. Calatayud is an essential enclave of Mudejar art. Let yourself be amazed by the highest Mudejar tower in the world, declared a World Heritage Site by UNESCO.',

  lugar_1_name: 'Historic District',
  lugar_1_text:
    'The Old Town of Calatayud treasures interesting monuments. There are numerous options to visit it from an architectural, cultural or artistic point of view, highlighting undoubtedly its Mudejar, declared by UNESCO "World Heritage Site". Stroll through a city where there is no rush, because everything is nearby, walking through its streets full of history, dotted with churches and palaces, squares and gardens, and a lifestyle that is the very essence of the city.',
  lugar_2_name: 'Ayub Castle',
  lugar_2_text:
    'Castillo Mayor that forms the fortified complex, one of the most complex and ancient preserved in Al-Andalus. The defensive complex of Calatayud is made up of five castles linked by more than 2,250 meters of walls that are still preserved today. In the wall there is an interesting horseshoe arch of caliphal type.',
  lugar_3_name: 'Jewish Quarter',
  lugar_3_text:
    'The Jewish quarter was located, like a promontory, perched around the castle of Don Álvaro or Doña Martina, also known as the castle of the Jewish quarter. The neighborhood had a main access road that started, possibly through a semicircular arch, from the Plaza de San Andrés, and ascended the slope of Santa Ana.',
  lugar_4_name: 'Bilbilis archaeological site',
  lugar_4_text:
    'The city of Bilbilis extends over the peaks and slopes of the hills of Bámbola, San Paterno and Santa Bárbara. We recommend starting the visit at the Museum of Calatayud, where you will be provided with information about Bilbilis and you can learn about its material remains (impressive remains of Roman painting). Then, visit Bilbilis, it is a free visit with a geographical location that you will love. You will be able to see very interesting buildings such as the theater or the baths, among others.',

  events_text:
    'The traditional festivals of Calatayud are one of its main signs of identity. Get to know the typical festivities of Calatayud and enjoy them.',
  event_1_name: 'Bilbilitana Holy Week',
  event_1_text:
    'The Holy Week of Calatayud, declared of Tourist Interest in Aragon, is considered by the Ministry of Culture as one of the oldest and most peculiar in Spain. Throughout the week, various events and processions make up the important and abundant program of events. It reaches its climax on Good Friday, when in the afternoon from the church of San Juan el Real, the very ancient procession of the Holy Burial that dates from the fifteenth century. In this great popular manifestation of faith, there are 24 processional floats made between the XVII and XX centuries, carried by the 12 brotherhoods or penitential brotherhoods and more than 300 characters of the Old and New Testament, forming the two parts of the procession, the Old and New Testament. In the Plaza de España, the important and ancient Auto Sacramental del Entierro de Cristo is celebrated.',
  event_2_name: 'The Alfonsadas',
  event_2_text:
    'The Alfonsadas are a medieval historical recreation of the Reconquest of Calatayud by the Aragonese King Alfonso I "El Batallador" in the year 1120. Visually it is a spectacle because the whole city makes a trip back in time to recreate the atmosphere of the reconquest, filled with shields and decorations. You can enjoy the first weekend of June, during all the days of the festival, a huge medieval market, which fills the Plaza of Spain and all the streets of the old town, shows and medieval attractions, exhibition of birds of prey, dances, games, storytelling, knight fights, tournaments, concerts, street performances, etc..',
  event_3_name: 'Festivities of San Roque',
  event_3_text:
    'The festivities in honor of San Roque in Calatayud, are declared a Festival of Regional Tourist Interest. These festivities are organized entirely by the Peñas and the Interpeñas commission. They take place in mid-August, usually from 13 to 16. There are a total of 10 peñas, where the peñistas are usually dressed in white and are complemented by a shirt, which varies in color depending on their peña. Each peña organizes its own festive program, including concerts, shows, meals, etc. The bullfighting festivities held in the Coso de Margarita are noteworthy. One of the main events is the pilgrimage to San Roque, which takes place in the early morning of August 15 to 16. It goes up to the hermitage of the saint where a bell is rung, the gozos are prayed and ends with a glass of chocolate and biscuits that is distributed to all those who have gone up to see the saint.',
  event_4_name: 'Virgen de la Peña Festivities',
  event_4_text:
    'The city of Calatayud, takes as its patron saint the Virgen de la Peña in the nineteenth century, although the city always worshiped her since her miraculous appearance in the twelfth century, when after the reconquest a star rested every night at the same point on a high hill of the city and was heard faintly as a bell ringing. There the intrigued population dug and in a grotto a field appeared and under it the seated image of the Virgin Mary with the child Jesus in her lap. It is so much of an image of the tenth century that was hidden in the Muslim invasion and there remained hidden until the time of its discovery. On this hill or rock a sanctuary was built using part of the building of the Islamic wall, where it remains today and receives its name of Peña.',

  env_header: 'Natural Environment',
  env_text:
    'The attraction of the spas, one of the most popular tourist formulas in Aragon, the charm of the Monasterio de Piedra, the history and culture of Calatayud, the flavor of the towns that make up this region, a magical journey with an infinite number of alternatives to please the most diverse delights.',
  env_1_name: 'Gallocanta Lagoon',
  env_1_text:
    'It is one of the most unique ecosystems in Europe, being a true ornithological paradise. Every winter, it is the place chosen by the common crane to make a stop along the way during the course of their migratory journeys, having counted up to 60,000 specimens. An authentic visual and sonorous spectacle that is well worth experiencing.',
  env_2_name: 'Hiking',
  env_2_text:
    'In the Community of Calatayud its mountains and sierras, as well as trails through steppes, deep valleys, gorges and canyons make up a diverse and attractive territory for hiking and mountain biking. You can lose yourself in legendary landscape paths through which the Cid Campeador himself passed in his battles.',
  env_3_name: 'Stone Monastery',
  env_3_text:
    'One of the most important tourist and monumental resources of Aragon, a natural oasis that breaks the arid aesthetics, a spring of silence where water splashes with beauty everything it covers. This is the Monasterio de Piedra, founded by the Cistercian monks in the 12th century and converted into a hotel and the current natural site in the 19th century.',
  env_4_name: 'Route of the Spas',
  env_4_text:
    'The region of Calatayud shelters the main number of spas in the province of Zaragoza, which are framed in the towns of Jaraba, Alhama de Aragón and Paracuellos de Jiloca. Six are the thermal stations that have made of this part of Aragon one of the main points of interest of the national spa sector.',

  tarifas_title: 'Prices',
  tarifas_days: 'Days',
  tarifas_week: 'Moonday to Tuesday',
  tarifas_weekend: 'Friday to sunday',
  tarifas_1_room: '1 Room',
  tarifas_2_room: '2 Rooms',
  tarifas_info: `
    <ul>
      <li>travel cot, <strong>free</strong>.</li>
      <li>
        <em>late check in</em> from 22:30 onwards., <strong>10 €.</strong>
      </li>
      <li><em>late check out, </em><strong>10 €.</strong></li>
      <li>High season, <strong>20 €.</strong></li>
    </ul>
    <p>___________</p>
    <p>High season: december, august and september</p>
    <p>Check prices by phone for special dates.</p>`,

  privacidad_title: 'Privacy Policy',
  privacidad: PRIVACIDAD_EN,
};
