import { CONDICIONES_ES as CONDICIONES_ES } from './condiciones/condiciones.es';
import { NORMAS_ES } from './normas/normas.es';
import { PRIVACIDAD_ES } from './privacidad/privacidad.es';

export const TRANSLATIONS_ES: { [key: string]: string } = {
  menu_inicio: 'Inicio',
  menu_apartamento: 'Apartamento',
  menu_experiencias: 'Experiencias',
  menu_experiencias_restaurantes: 'Restaurantes',
  menu_experiencias_lugares: 'Lugares',
  menu_experiencias_eventos: 'Eventos',
  menu_entorno: 'Entorno',
  menu_informacion: 'Información',
  menu_informacion_servicios: 'Servicios',
  menu_informacion_normas: 'Normas',
  menu_informacion_condiciones: 'Condiciones',
  menu_blog: 'Blog',
  menu_contacto: 'Contacto',
  menu_reservar: 'Reservar',

  auth_login: 'Iniciar sesión',
  auth_registro: 'Registro',
  auth_registrate: 'Regístrate',
  auth_nombre: 'Nombre',
  auth_apellidos: 'Apellidos',
  auth_email: 'Email',
  auth_password: 'Contraseña',
  auth_phone: 'Teléfono',
  auth_repeat_password: 'Repite la contraseña',
  auth_no_cuenta: '¿No tienes cuenta?',
  auth_alert_password:
    'Nunca compartiremos su correo electrónico con nadie más',

  toastr_error: 'ERROR',
  toastr_login_error: 'Email o contraseña incorrectos',
  toastr_signup_succes: 'Te has registrado correctamente',
  toastr_signup_error: 'Este email ya está registrado',
  toastr_update_succes: 'Se han actualizado tus datos personales',
  toastr_update_error: 'No hay ningún usuario registrado',
  toastr_avatar_succes: 'Se ha actualizado tu imagen de perfil',
  toastr_avatar_error: 'No se ha podido actualizar tu imagen de perfil',
  toastr_feedback_succes: 'Se ha registrado su comentario',
  toastr_feedback_error: 'No se ha registrado su comentario',
  toastr_book_succes: 'Se ha creado tu solicitud de reserva',
  toastr_book_error: 'No ha sido posible crear tu reserva',
  toastr_book_overlap: 'Ya hay una reserva en estas fechas',

  btn_entrar: 'Entrar',
  btn_reservar: 'Reservar',
  btn_login: 'Login',
  btn_signup: 'Registro',
  btn_registrar: 'Registrar',
  btn_modificar: 'Modificar',
  btn_enviar: 'Enviar',

  client_data: 'Mis datos',
  client_books: 'Mis reservas',
  client_feedback: 'Feedback',
  client_logout: 'Cerrar sesión',
  client_personal_data: 'Mis datos personales',
  client_feedback_msg_1: 'Tu opinión es muy valiosa para nosotros.',
  client_feedback_msg_2: 'Envianos tu comentario.',
  client_language: 'Idioma',
  client_language_es: 'Español',
  client_language_en: 'Inglés',

  book_since: 'Llegada',
  book_until: 'Salida',
  book_since_date: 'Fecha llegada',
  book_until_date: 'Fecha salida',
  book_adults: 'Adultos',
  book_children: 'Niños',
  book_observations: 'Observaciones',
  book_processing: 'Procesando',
  book_acepted: 'Confirmada',
  book_denied: 'Rechazada',
  book_current: 'Actual',
  book_no_books: 'No tienes ninguna reserva',

  footer_text_1:
    'La calidez y el confort de nuestro apartamento<br/>harán que tu estancia sea más que una estancia,<br/>te vas a sentir tan bien como en tu propia casa.',
  footer_follow_us: 'Síguenos en',

  location: 'Localización',
  comentarios: 'Valoraciones',

  normas: NORMAS_ES,
  condiciones: CONDICIONES_ES,

  servicios_text_1:
    'Nos esforzamos en ofrecer todas las comodidas en nuestro apartamento, poque queremos que te sientas como en casa para que disfrutes de todo lo que ofrece nuestro territorio empapándote en su historia, cultura y naturaleza.',
  servicios_wifi_title: 'Wifi',
  servicios_wifi_text:
    'Podrás disfrutar de conexión WiFi en nuestro apartamento, es gratuito para todos nuestros clientes.',
  servicios_cocina_title: 'Cocina',
  servicios_cocina_text:
    'Totalmente equipada con todo lo necesario. Dispone de: batería de cocina, vajilla, cafetera, utensilios de cocina, lavavajillas, microondas, horno y material de limpieza.',
  servicios_bano_title: 'Baño',
  servicios_bano_text:
    'Totalmente equipado con todo lo necesario. Entre otras cosas dispone de: toallas, jabón, champú y gel de baño y secador de pelo.',
  servicios_calef_title: 'Calefacción',
  servicios_calef_text:
    'Nuestro apartamento dispone de calefacción para que podáis disfrutar de una estancia agradable los días de invierno.',
  servicios_bebe_title: 'Bebes',
  servicios_bebe_text:
    'Tenemos cunas, tronas y juegos a tu disposición. Sin coste extra avisando al realizar la reserva.',
  servicios_parkin_title: 'Parking',
  servicios_parkin_text:
    'El parking del casco histórico es de pago excepto fines de semana y festivos, pero a 100 metros hay disponible un aparacamiento libre y gratuito.',

  inicio_welcome: 'Bienvenido a la ciudad de Calatayud',
  inicio_text:
    'Cuna de 5 culturas, pues tenemos una ciudad celtíbera (Valdeherrera) a 9 kilómetros, una ciudad romana (Bílbilis) a 6 kilómetros, cinco castillos defensivos de época romana que unidos a su muralla hacen que sea el conjunto defensivo árabe más antiguo de toda la península (siglo VIII), la judería que llegó a ser de las más grandes de Aragón, y por supuesto, tres monumentos que son patrimonio de la humanidad (la torre, ábside y claustro de la Colegiata de santa María). Francisco de Goya pintó las pechinas en la iglesia de San Juan el Real y Fernando el Católico fue nombrado heredero en la iglesia de San Pedro de los Francos. Después de todo este recorrido, te recomiendo que tomes unas tapas en cualquiera de nuestros bares, dejando hueco para la comida, donde podrás degustar en nuestros restaurantes, el plato típico de la ciudad, garbanzos con congrio. Y si después quieres relajarte, te recomiendo que visites el parque natural del Monasterio de Piedra, un oasis cercano a esta ciudad, o probar cualquier balneario situado en los alrededores de la ciudad. Calatayud es cultura, tradición, naturaleza y gastronomía. <strong><em>Te animas?</em></strong>',

  apartamento_text_1:
    'Disfruta de un encantador apartamento en pleno centro de Calatayud, en una ubicación idónea para disfrutar con tu familia.',
  apartamento_text_2:
    'Apartamento ubicado en el centro de Calatayud, aproximadamente a 5 minutos andando de los edificios más importantes. El apartamento esta en la primera planta del edificio sin ascensor, dispone de unos 80 metros cuadrados aproximadamente. Con suelo de madera y calefacción. El dormitorio principal se amuebla con cama de matrimonio y armario empotrado. El segundo dormitorio esta provisto de una cama individual que se puede hacer de matrimonio. La zona de estar se compone de salón-comedor con dos balcones exteriores a la calle que aportan la luz natural al apartamento. Además de un baño y cocina totalmente equipados. Dispone de Wifi para todo el apartamento.',

  restaurantes_header: 'Restaurantes',
  restaurantes_text:
    'La cultura gastronómica de Calatayud es conocida por dos referencias clásicas: el ternasco a la bilbilitana y los garbanzos con congrio. Platos que se pueden degustar acompañados por sus vinos de la Denominación de Origen de Calatayud, en sus distintos tipos de restaurantes. También se puede elegir entre la gran variedad de bares con tapas y raciones muy variadas para tomar sentados en sus terrazas.',
  restaurante_1_text:
    'Restaurante situado en el corazón del casco antiguo de Calatayud, basado en una cocina tradicional de mercado con un toque personal moderno.',
  restaurante_2_text:
    'Restaurante de comida tradicional en el centro histórico de Calatayud. La comida consta de un menú con tres entrantes y un principal a elegir. Especialidad en arroces.',
  restaurante_3_text:
    'Restaurante en el centro de Calatayud, que ofrece desde entrantes fríos y raciones de verduras, pasando por carnes y pescados a la brasa y sin olvidar sus deliciosos postres caseros.',
  restaurante_4_text:
    'Disponen de carta y menú del día. Producto de temporada de la zona. Recetas caseras y platos tradicionales de la cocina aragonesa, así como postres caseros. Raciones generosas y muy buena relación calidad precio',

  lugares_header: 'Lugares',
  lugares_text:
    'Calatayud, una ciudad monumental que fusiona entre sus calles un compendio de culturas, estilos y tradiciones. Está declarada Conjunto Histórico y Monumental desde 1967. Calatayud es un enclave indispensable del arte mudéjar. Déjate maravillar por la torre mudéjar más alta del mundo, declarada Patrimonio de la Humanidad por la UNESCO.',

  lugar_1_name: 'Casco Histórico',
  lugar_1_text:
    'El Casco Antiguo de Calatayud atesora interesantes monumentos. Son numerosas las opciones para recorrerla desde un punto de vista arquitectónico, cultural o artístico, destacando sin duda, su Mudéjar, declarado por la UNESCO “Patrimonio de la Humanidad”. Paseos por una ciudad donde no existen las prisas, porque todo está cerca, recorriendo sus calles llenas de historia, salpicadas de Iglesia y Palacios, de plazas y jardines, y de un estilo de vida que es la esencia misma de la ciudad.',
  lugar_2_name: 'Castillo de Ayub',
  lugar_2_text:
    'Castillo Mayor que forma el conjunto fortificado, uno de los mas complejos y antiguos conservado en Al-Ándalus. El conjunto defensivo de Calatayud está formado por cinco castillos unidos por más de 2.250 metros de lienzos de muralla conservados en la actualidad. En la muralla existe un interesante arco de herradura de tipo califal.',
  lugar_3_name: 'Judería',
  lugar_3_text:
    'La judería se situaba, a modo de promontorio, encaramada en torno al castillo de Don Álvaro o Doña Martina, también conocido como castillo de la Judería. El barrio poseía una vía de acceso principal que arrancaba, posiblemente a través de un arco de medio punto, desde la plaza de San Andrés, y ascendía por la cuesta de Santa Ana.',
  lugar_4_name: 'Yacimiento arqueológico de Bilbilis',
  lugar_4_text:
    'La ciudad de Bilbilis se extiende por las cimas y laderas de los cerros de Bámbola, San Paterno y Santa Bárbara. Aconsejamos comenzar la visita por el Museo de Calatayud, donde os facilitarán información sobre Bilbilis y podréis conocer sus restos materiales (impactantes restos de pintura romana). A continuación, visitad Bilbilis, es una visita libre con una localización geográfica que os va a encantar. Vais a poder ver edificios muy interesantes como el teatro o las termas, entre otros.',

  events_text:
    'Las fiestas tradicionales de Calatayud son una de sus principales señas de identidad. Conoce las fiestas típicas de Calatayud y no dejes de disfrutarlas.',
  event_1_name: 'Semana Santa Bilbilitana',
  event_1_text:
    'La Semana Santa de Calatayud, Declarada Interés Turístico de Aragón, está considerada por el Ministerio de Cultura como una de las más antiguas y peculiares de España. Durante toda la Semana, diversos actos y procesiones componen el importante y abundante programa de actos. Alcanza su punto álgido el Viernes Santo, cuando por la tarde desde la iglesia de San Juan el Real, parte la antiquísima procesión del Santo Entierro que data del siglo XV. En esta gran manifestación popular de fe, participan 24 pasos procesionales realizadas entre los siglos XVII al XX, portados por las 12 cofradías o hermandades penitenciales y más de 300 personajes del antiguo y nuevo testamento, formando las dos partes de la procesión, el Antiguo y Nuevo Testamento. En la plaza de España, se celebra el importante y antiguo Auto Sacramental del Entierro de Cristo.',
  event_2_name: 'Las Alfonsadas',
  event_2_text:
    'Las Alfonsadas son una recreación histórica medieval de la Reconquista de Calatayud por el rey aragonés Alfonso I "El Batallador" en el año 1120. Visualmente es un espectáculo porque toda la ciudad hace un viaje en el tiempo para recrear el ambiente de la reconquista, llenándose de escudos y adornos. Se puede disfrutar en el primer fin de semana de junio, durante todos los días de la fiesta, de un enorme mercado medieval, que llena la Plaza de España y todas las calles del casco antiguo, espectáculos y atracciones medievales, exhibición de aves rapaces, danzas, juegos, cuentacuentos, luchas de caballeros, torneos, conciertos, espectáculos de calle, etc.',
  event_3_name: 'Fiestas de San Roque',
  event_3_text:
    'Las fiestas en honor a San Roque en Calatayud, están declaradas Fiestas de Interés Turístico Regional. Son fiestas organizadas en su totalidad por Las Peñas y la comisión de Interpeñas. Se desarrollan a mediados de Agosto, normalmente del 13 al 16. Hay un total de 10 peñas, donde los peñistas generalmente van vestidos de blanco y se complementa con una camisa, que varía de color dependiendo de su peña. Cada peña organiza un programa festivo propio incluyendo conciertos, espectáculos, comidas, etc. Son destacables los festejos taurinos que se celebrar en el Coso de Margarita. Uno de los acto principales es la Romería a san Roque, que se realiza la madrugada del 15 al 16 de Agosto. Se sube hasta la ermita del santo donde se toca una campana, se rezan los gozos y se finaliza con un vaso de chocolate y bizcochos que se reparte a todos aquellos que han subido a ver al santo.',
  event_4_name: 'Fiestas Virgen de la Peña',
  event_4_text:
    'La ciudad de Calatayud, toma como patrona a la Virgen de la Peña en el siglo XIX, aunque la ciudad siempre le rindió culto desde su aparición milagrosa en el siglo XII, cuando tras la reconquista una estrella se posaba todas las noches en un mismo punto de un cerro elevado de la ciudad y se escuchaba débilmente como un sonar de campana. Allí la población intrigada escavó y en una gruta aparición una campa y debajo de ella la imagen sedente de la Virgen María con el niño Jesús en su regazo. Se tanta de una imagen del siglo X que fue escondida en la invasión musulmana y allí permaneció oculta hasta el momento de su descubrimiento. Sobre este cerro o peña se edificó un santuario utilizando parte de la edificación de la muralla islámica, donde hoy permanece y recibe su nombre de Peña.',

  env_header: 'Entorno Natural',
  env_text:
    'La atracción de los balnearios, una de las fórmulas turísticas con mayor proyección en Aragón, el encanto del Monasterio de Piedra, la historia y la cultura de Calatayud, el sabor de las poblaciones que conforman esta comarca. un recorrido mágico con infinidad de alternativas con las que complacer los más diversos deleites.',
  env_1_name: 'Laguna de Gallocanta',
  env_1_text:
    'Es uno de los ecosistemas más singulares de Europa, siendo un auténtico paraíso ornitológico. Cada invierno, es el lugar elegido por la grulla común para hacer un alto en el camino durante el trascurso de sus viajes migratorios, habiéndo llegado a contabilizarse hasta 60.000 ejemplares. Un auténtico espectáculo visual y sonoro que merece la pena vivir.',
  env_2_name: 'Senderismo',
  env_2_text:
    'En la Comunidad de Calatayud sus montes y sierras, además de senderos por estepas, profundos valles, desfiladeros y cañones componen un diverso y atractivo territorio para la práctica del senderismo y la bicicleta de montaña. Puedes perderte por caminos de paisajes legendarios por los que paso el mismísimo Cid Campeador en sus batallas.',
  env_3_name: 'Monasterio de Piedra',
  env_3_text:
    'Uno de los recursos turísticos y monumentales más importantes de Aragón, un oasis natural que rompe la estética árida, un manantial de silencio donde el agua salpica de belleza todo cuanto cubre. Así es el Monasterio de Piedra, fundado por los monjes del Císter en el siglo XII y convertido en el hotel y en el actual paraje natural en el XIX.',
  env_4_name: 'Ruta de los Balnearios',
  env_4_text:
    'La comarca de Calatayud cobija el principal número de balneario de la provincia de Zaragoza que quedan enmarcados en las localidades de Jaraba, Alhama de Aragón y Paracuellos de Jiloca. Seis son las estaciones termales que han hecho de esta parte aragonesa uno de los principales puntos de interés del sector balneario nacional.',

  tarifas_title: 'Tarifas',
  tarifas_days: 'Días',
  tarifas_week: 'Lunes a Jueves',
  tarifas_weekend: 'Viernes a Domingo',
  tarifas_1_room: '1 Habitación',
  tarifas_2_room: '2 Habitaciones',
  tarifas_info: `
  <ul>
    <li>cuna de viaje, <strong>gratis</strong>.</li>
    <li>
      <em>late check in</em> a partir de las 22:30h., <strong>10 €.</strong>
    </li>
    <li><em>late check out, </em><strong>10 €.</strong></li>
    <li>Temporada alta, <strong>20 €.</strong></li>
  </ul>
  <p>___________</p>
  <p>Temporada alta: Diciembre, Agosto y Septiembre</p>
  <p>Consultar tarifas telefónicamente para fechas especiales.</p>`,

  privacidad_title: 'Politica de privacidad',
  privacidad: PRIVACIDAD_ES,
};
